Bug 98025 - [radeonsi] incorrect primitive restart index used
Summary: [radeonsi] incorrect primitive restart index used
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/radeonsi (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-03 09:58 UTC by James Legg
Modified: 2017-01-13 10:23 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Apitrace reproducing the issue (48.51 KB, application/octet-stream)
2016-10-03 09:58 UTC, James Legg
Details
Patch fixing issue (1.69 KB, patch)
2016-10-03 09:59 UTC, James Legg
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description James Legg 2016-10-03 09:58:07 UTC
Created attachment 126961 [details]
Apitrace reproducing the issue

With radeonsi, If primitive restart is enabled for two consecutive draws which use different primitive restart indices, then the first draw's primitive restart index is incorrectly used for the second draw.

The attached apitrace reproduces the issue. The first and second draws should draw the same thing. The first is using a primitive restart index of 0xFFFFFFFF, and the second is using 0xFFFF (these are set using fixed index primitive restart and different index types).
Comment 1 James Legg 2016-10-03 09:59:48 UTC
Created attachment 126962 [details] [review]
Patch fixing issue
Comment 2 Grazvydas Ignotas 2016-10-04 12:17:21 UTC
It's best to send patches to mesa-dev for review and inclusion. You might need to subscribe, but you can opt-out of receiving anything from the list.
Comment 3 James Legg 2016-10-04 13:34:28 UTC
I've sent the patch to mesa-dev. It now appears here: https://patchwork.freedesktop.org/patch/113613/
Comment 4 Marek Olšák 2016-10-04 14:04:44 UTC
Pushed as e33f31d61f5e9019f8b0bac0378dfb8fd1147421. Thanks for the patch. Closing.


bug/show.html.tmpl processed on Jan 16, 2017 at 19:21:39.
(provided by the Example extension).